scaling range for line widths not persistent

2014-09-10 07:13 AM - Kai Borgolte

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19494

Description

I style a line layer, giving the line width in map units, and defining min and/or max scales (button near the words "map unit"). When I save

the project or the style, the values are saved. When I re-open the project, min and max scales are not applied anymore, and when I save

the project again, they are lost.

Attached are sample project files after first saving and after loading and saving again that project file. The offending line is line 88:

<prop k="width_map_unit_scale" v="0.001,0.01"/>

that is: scale in range 1 : 100 to 1 : 1000, which degenerates to

<prop k="width_map_unit_scale" v="0,0"/>

Associated revisions

Revision 9d30db43 - 2014-11-28 03:11 AM - Nyall Dawson

Fix map unit scale for simple line width not restored (fix #11181)

Revision 4473efe3 - 2014-11-28 03:50 AM - Nyall Dawson

Fix map unit scale for simple line width not restored (fix #11181)

History

#1 - 2014-09-10 07:34 AM - Kai Borgolte

Same issue with QGIS weekly (2.5.0-Master code revision commit:4291337).

#2 - 2014-09-11 01:11 AM - Kai Borgolte

I think I narrowed the problem to the source file

[[https://github.com/qgis/QGIS/blob/master/src/core/symbology-ng/qgslinesymbollayerv2.cpp]], but I am not able to test it myself:

In QgsSimpleLineSymbolLayerV2::create() the property width_map_unit_scale is not handled. This should be a one-liner.

Looking at QgsSimpleLineSymbolLayerV2::setMapUnitScale(), QgsLineSymbolLayerV2::setMapUnitScale() (in [[

https://github.com/qgis/QGIS/blob/master/src/core/symbology-ng/qgssymbollayerv2.cpp]]) and QgsLineSymbolLayerV2::setWidthMapUnitScale() (in [[

https://github.com/qgis/QGIS/blob/master/src/core/symbology-ng/qgssymbollayerv2.h]]), I don't think it will be necessary to implement

QgsSimpleLineSymbolLayerV2::setWidthMapUnitScale().
https://github.com/qgis/QGIS/blob/master/src/core/symbology-ng/qgslinesymbollayerv2.cpp
https://github.com/qgis/QGIS/blob/master/src/core/symbology-ng/qgssymbollayerv2.cpp]]
https://github.com/qgis/QGIS/blob/master/src/core/symbology-ng/qgssymbollayerv2.h]]


Please someone fix this. I hope my research does help.

#3 - 2014-10-26 10:24 AM - Jürgen Fischer

- Category set to Symbology

#4 - 2014-11-27 06:13 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"9d30db435a6e946bb9384dbf67063b5c2650b40c".

#5 - 2014-12-02 01:49 AM - Kai Borgolte

Thank you very much!
